%global gitcommit 16c548b

Summary:    AVP library
Name:       libavp
Version:    0.70.0
Release:    1.git%{gitcommit}%{?dist}
License:    LGPLv2
Group:      Development/Libraries
URL:        http://support.caenrfid.it

# The source of this package was pulled from the upstream git repo (restricted access).
# To get access to the upstream repo, 
#  read http://support.caenrfid.it/wiki/index.php/Get_access_to_our_source_code
# Use the following commands to generate the tarball:
#  git clone http://support.caenrfid.it/module/libavp
#  git checkout 16c548b
#  tar cvzf libavp-16c548b.tar.gz libavp
Source0:    %{name}-%{gitcommit}.tar.gz

# The autotool is using debian command 
Patch0:     avp_correct_version_number.patch

BuildRoot:  %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: libmsgbuff-devel


%description
AVP library used by the CAENRFID api/deamon.

%package    devel
Summary:    Development files for %{name}
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q -n %{name}

%patch0 -p1 -b configure.ac.bk

%build
%configure --libdir=/%{_libdir} \
           --docdir=%{_docdir}/%{name}-%{version}

make %{?_smp_mflags}


%install
mkdir -p %{buildroot}{%{_libdir},%{_includedir}}

make DESTDIR=%{buildroot} install


%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig


%files
%{_libdir}/libavp.so.*
%exclude %{_libdir}/libavp.a
%exclude %{_libdir}/libavp.la

%files devel
%{_includedir}/avp.h
%{_libdir}/libavp.so

%changelog
* Fri Feb 03 2012 Kévin Raymond <shaiton@fedoraproject.org> 0.70.0-1.git16c548b
- packaged
